#include <iostream>

using namespace std;

struct poznanici{
    int ucenik1;
    int ucenik2;
};

int main()
{
    int n,m, sreca;
    cin>>n>>m;
    int a[n];
    int prijatelji[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
        prijatelji[i] = 0;
    }
    poznanici b[m];
    for(int i=0;i<m;i++){
        cin>>b[i].ucenik1>>b[i].ucenik2;
        b[i].ucenik1--;
        b[i].ucenik2--;
    }

    for(int i=0;i<m;i++){
        if(a[b[i].ucenik1] + a[b[i].ucenik2] > 0){
            prijatelji[b[i].ucenik1]++;
            prijatelji[b[i].ucenik2]++;
        }else{
            prijatelji[b[i].ucenik1]--;
            prijatelji[b[i].ucenik2]--;
        }
    }

    sreca = 0;
    for(int i=0;i<n;i++)
        sreca += a[i] * prijatelji[i];
    cout<<sreca;
    return 0;
}